﻿namespace HesabeDotNetCore
{

    public static class HesabeConstants
    {
        public const string VERSION = "2.0";

        public const string CHECKOUT_URL = "https://sandbox.hesabe.com/checkout";
        public const string PAYMENT_URL = "https://sandbox.hesabe.com/payment";

        // Get below values from Merchant Panel, Profile section
        public const string ACCESS_CODE = "2a3789f5-edd1-416d-a472-4357794d6a8c";
        public const string MERCHANT_KEY = "OGzgrmqyDEnlALQRNvzPv8NJ4BwWM019";
        public const string MERCHANT_IV = "DEnlALQRNvzPv8NJ";
        public const string MERCHANT_CODE = "1351719857300";

        // This URL are defined by you to get the response from Payment Gateway
        public const string RESPONSE_URL = "https://localhost:5001/PaymentSuccess";
        public const string FAILURE_URL = "https://localhost:5001/PaymentFailure";
    }

    /// <summary>
    /// Supported payment types by Hesabe
    /// </summary>
    public enum HesabePaymentType
    {
        ChooseLater = 0,
        Knet = 1,
        MPGS = 2
    }
}
